

   ******************;
   * HEALTH CONDITIONS AND ADL/IADLS, WAVE 3;
   ******************;

   * ADLs;
   
   if q1842<=85 or q1842=98 then do;
       if q1852 not in(.,8,9) then dress3 =(q1852 in(1,6));
       if q1859 not in(.,8,9) then walk3  =(q1859 in(1,6));
       if q1881 not in(.,8,9) then bathe3 =(q1881 in(1,6));
       if q1896 not in(.,8,9) then eat3   =(q1896 in(1,6));
       if q1911 not in(.,8,9) then bed3   =(q1911 in(1,6));
       if q1929 not in(.,8,9) then toilet3=(q1929 in(1,6));
       end;
   else if (q1842>85 and q1842<98) then do;
       dress3 =1;
       walk3  =1;
       bathe3 =1;
       eat3   =1;
       bed3   =1;
       toilet3=1;
    end;

   array adls3{6} walk3 dress3 bathe3 eat3 bed3 toilet3;
   if nmiss(of adls3{*})=0 then numadl3=sum(of adls3{*});
   
   if q1842<=85 or q1842=98 then do;
       /* these questions where not asked if in nursing home */
       if q2010 not in(.,8,9) then meals3=(q2010 in(1,6));
       if q2020 not in(.,8,9) then groc3 =(q2020 in(1,6));
       if q2040 not in(.,8,9) then meds3 =(q2040 in(1,6));
       end;
   else if (q1842>85 and q1842<98) then do;
       meals3 =1;
       groc3  =1;
       meds3 =1;
    end;

   if q2030 not in(.,8,9) then phone3=(q2030 in(1,6));
   if q2084 not in(.,8,9) then money3=(q2084 in(1,6));

   array iadl3{5} meals3 groc3 phone3 meds3 money3;
   if nmiss(of iadl3{*})=0 then  numiadl3=sum(of iadl3{*});
	
  label
      numadl3 	= '# ADLs, w3'
      numiadl3	= '# IADLs, w3'
      walk3	= 'difficulty walking, w3'	
      dress3  	= 'difficulty dressing, w3' 
      bathe3	= 'difficulty bathing, w3'
      eat3	= 'difficulty eating, w3'
      bed3	= 'difficulty in&out of bed, w3'
      toilet3	= 'difficulty toileting, w3'
      meals3	= 'difficulty hot meals, w3'
      groc3	= 'difficulty grocery shop, w3'
      phone3	= 'difficulty using phone, w3'
      meds3	= 'difficulty taking meds, w3'
      money3	= 'difficulty managing money, w3'
;




