/*****************************************************************/
/* FILE:        	allmacs.sas                              */
/* PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)    */
/* FACULTY:		Dan McFadden                             */
/* AUTHOR:		Angela Merrill/Tiago Ribeiro             */
/* LAST UPDATE:		Jan 2003                                 */
/* PROGRAM DESC:	Creates general purpose macros           */
/* CONTACT:             tribeiro@econ.berkeley.edu               */
/*****************************************************************/

libname macros "~/ribeiro/datagen/macros";
options linesize=80 pagesize=60 symbolgen macrogen source source2 mstored sasmstore=macros ; 

/* MACRO FILES */

filename list1     "~/ribeiro/datagen/macros/list1.mac";
filename count     "~/ribeiro/datagen/macros/count.mac";
filename merge     "~/ribeiro/datagen/macros/merge.mac";
filename spouse    "~/ribeiro/datagen/macros/spouse.mac";
filename vtictoc   "~/ribeiro/datagen/macros/vtictoc.mac";
filename label     "~/ribeiro/datagen/macros/label.mac";

%include list1;
%include count;
%include merge;
%include spouse;
%include vtictoc;
%include label;


