
/*****************************************************************
*    Code COGN dummy variable for EXIT			         *  
*    based on a series of questions to proxy                   *
*****************************************************************/

  if v1056 not in(.,0,8,9) then do;
      memnow2 = 1*(v1056=5) 
          + 2*(v1056=4)
          + 3*(v1056=3)
          + 4*(v1056=2)
          + 5*(v1056=1);
      end;
         
      **note: in w2, there is more than one memory comparison q;
      *    for proxy respondent. The variable used below is the;
      *    first memory question;
         
  memch2=v1072;   
         
  if memch2 not in(.,0,8,9) then do;  
      membett2 = (memch2=1);
      memsame2 = (memch2=2);
      memwors2 = (memch2=3);
      end;

  
  label
      memnow2  = 'rate memory 1=pr 5=ex, w2'
      memch2   = 'mem change past yr 1=bet 3=wrs, w2'
      membett2 = 'mem better than 1yr ago, w2'
      memsame2 = 'mem same as 1 yrs ago, w2'
      memwors2 = 'mem worse than 1yr ago, w2'
      ;
  

* COGNITIVE STATUS;

         *PCOG1;		
     if v1056 not in(.,0,8,9) then pmem2 = (v1056 in(4,5));
     if v1061 not in(.,0,8,9) then pjdg2 = (v1061 in(4,5));
     if v1066 not in(.,0,8,9) then porg2 = (v1066 in(4,5));

     if pmem2=1 or pjdg2=1 or porg2=1 then  pcog1_2=1;
     else if pmem2=. or pjdg2=. or porg2=. then pcog1_2=.;
     else pcog1_2=0; 

         *PCOG2;		*behavioral disturbances;

     if v1144 not in(.,0,8,9) then plost2 = (v1144=1);		*gets lost;
     if v1145 not in(.,0,8,9) then pwand2 = (v1145=1);		*wanders off;
     if v1146 not in(.,0,8,9) then pleft2 = (v1146 = 5);	*cannot be left alone;
     if v1147 not in(.,0,8,9) then phall2 = (v1147 = 1);	*hallucinate ;

     
     if plost2=1 or pwand2=1 or pleft2=1 or phall2=1 then  pcog2_2=1;
     else if plost2=. or pwand2=. or pleft2=. or phall2=. then  pcog2_2=.;
     else pcog2_2=0; 
     
     if pcog1_2=1 or pcog2_2=1 then  pcogn2=1;
     else if pcog1_2=. or pcog2_2=. then  pcogn2=.;
     else pcogn2=0;       

      if pcogn2 ne . then cogn2=(pcogn2=1);
      misscog2=(cogn2=.);

 label
     cogn2='cognitive impairment w2'
     pcogn2='proxy & cogn imp'
     misscog2='cogn missing w2'
     pcog1_2='proxy cog 1 w2'
     pcog2_2='proxy cog 2 w2'

     pmem2='proxy cog memory, w2'
     pjdg2='proxy cog judgement, w2'
     porg2='proxy cog organize, w2'

     plost2='proxy cog get lost, w2'
     pwand2='proxy cog wander, w2'
     pleft2='proxy cog be left alone, w2'
     phall2='proxy cog hallucinate, w2'
     ;

