        
        
  /*****************************
  * create counts of health conditions and new conditions;
  ******************************/


%let ear1=cancer1 heart1 stroke1 lung1 diabet1;
%let krn1=highbp1 arthrt1 cogim1 psych1 depres1 fall1 hipfrc1 incont1;
%let cri1=cancer1 heart1 stroke1 lung1;
%let kr21=highbp1 arthrt1  diabet1 incont1;
%let men1=cogim1 psych1 depres1;
%let acc1=fall1 hipfrc1; 

%let iear1= jcancer1 jheart1 jstroke1 ilung1 idiabet1;
%let ikrn1=ihighbp1 ipsych1 iarthrt1 icogim1 ifall1 ihipfrc1 iincont1 idepres1 ;
%let icri1=jcancer1 jheart1 jstroke1 ilung1;
%let ikr21=ihighbp1 iarthrt1  idiabet1 iincont1;
%let imen1=icogim1 ipsych1 idepres1;
%let iacc1=ifall1 ihipfrc1; 
   
    
%let ear2=cancer2 heart2 stroke2 lung2 diabet2;
%let krn2=highbp2 arthrt2 cogim2 psych2 depres2 fall2 hipfrc2 incont2;
%let cri2=cancer2 heart2 stroke2 lung2;
%let kr22=highbp2 arthrt2  diabet2 incont2;
%let men2=cogim2 psych2 depres2;
%let acc2=fall2 hipfrc2 ;

%let iear2= jcancer2 jheart2 jstroke2 ilung2 idiabet2;
%let ikrn2=ihighbp2 ipsych2 iarthrt2 icogim2 ifall2 ihipfrc2 iincont2 idepres2 ;
%let icri2=jcancer2 jheart2 jstroke2 ilung2;
%let ikr22=ihighbp2 iarthrt2  idiabet2 iincont2;
%let imen2=icogim2 ipsych2 idepres2;
%let iacc2=ifall2 ihipfrc2; 



%let ear3=cancer3 heart3 stroke3 lung3 diabet3;
%let krn3=highbp3 arthrt3 cogim3 psych3 depres3 fall3 hipfrc3 incont3;
%let cri3=cancer3 heart3 stroke3 lung3;
%let kr23=highbp3 arthrt3  diabet3 incont3;
%let men3=cogim3 psych3 depres3;
%let acc3=fall3 hipfrc3; 

%let iear3= jcancer3 jheart3 jstroke3 ilung3 idiabet3;
%let ikrn3=ihighbp3 ipsych3 iarthrt3 icogim3 ifall3 ihipfrc3 iincont3 idepres3 ;
%let icri3=jcancer3 jheart3 jstroke3 ilung3;
%let ikr23=ihighbp3 iarthrt3  idiabet3 iincont3;
%let imen3=icogim3 ipsych3 idepres3;
%let iacc3=ifall3 ihipfrc3; 


%macro counting(w);

   missdis&w=nmiss(of &&ear&w &&krn&w);
   if missdis&w=0  then numdis&w= sum(of &&ear&w &&krn&w);
   if missdis&w<13 then anydis&w=(sum(of &&ear&w &&krn&w)>0);
   if missdis&w=0  then numdis&w= sum(of &&ear&w &&krn&w);

   missear&w=nmiss(of &&ear&w);
   if missear&w=0  then numear&w= sum(of &&ear&w);
   if missear&w<5  then anyear&w=(sum(of &&ear&w)>0);
   if missear&w=0  then numear&w= sum(of &&ear&w);
   
   misskrn&w=nmiss(of &&krn&w);
   if misskrn&w=0  then numkrn&w= sum(of &&krn&w);
   if misskrn&w<8  then anykrn&w=(sum(of &&krn&w)>0);
   if misskrn&w=0  then numkrn&w= sum(of &&krn&w);

   misscri&w=nmiss(of &&cri&w);
   if misscri&w=0  then numcri&w= sum(of &&cri&w);
   if misscri&w<4  then anycri&w=(sum(of &&cri&w)>0);
   if misscri&w=0  then numcri&w= sum(of &&cri&w);
   
   misskr2&w=nmiss(of &&kr2&w);
   if misskr2&w=0  then numkr2&w= sum(of &&kr2&w);
   if misskr2&w<4  then anykr2&w=(sum(of &&kr2&w)>0);
   if misskr2&w=0  then numkr2&w= sum(of &&kr2&w);
   
   missmen&w=nmiss(of &&men&w);
   if missmen&w=0  then nummen&w= sum(of &&men&w);
   if missmen&w<3  then anymen&w=(sum(of &&men&w)>0);
   if missmen&w=0  then nummen&w= sum(of &&men&w);

   missacc&w=nmiss(of &&acc&w);
   if missacc&w=0  then numacc&w= sum(of &&acc&w);
   if missacc&w<2  then anyacc&w=(sum(of &&acc&w)>0);
   if missacc&w=0  then numacc&w= sum(of &&acc&w);


   label 
       numdis&w="num diseases w&w"
       numear&w="num severe conditions w&w"
       numkrn&w="num chronic conditions w&w"
       anydis&w="any diseases w&w"
       anyear&w="any severe dis w&w"
       anykrn&w="any chron dis w&w";
   
   %if &w>1 %then %do;
   imisdis&w=nmiss(of &&iear&w &&ikrn&w);
   if imisdis&w=0  then inumdis&w= sum(of &&iear&w &&ikrn&w);
   if imisdis&w<13 then ianydis&w=(sum(of &&iear&w &&ikrn&w)>0);
   if imisdis&w=0  then inumdis&w= sum(of &&iear&w &&ikrn&w);

   imisear&w=nmiss(of &&iear&w);
   if imisear&w=0  then inumear&w= sum(of &&iear&w);
   if imisear&w<5  then ianyear&w=(sum(of &&iear&w)>0);
   if imisear&w=0  then inumear&w= sum(of &&iear&w);
                                             
   imiskrn&w=nmiss(of &&ikrn&w);                                             
   if imiskrn&w=0  then inumkrn&w= sum(of &&ikrn&w);
   if imiskrn&w<8  then ianykrn&w=(sum(of &&ikrn&w)>0);
   if imiskrn&w=0  then inumkrn&w= sum(of &&ikrn&w);
                                             
   imiscri&w=nmiss(of &&icri&w);
   if imiscri&w=0  then inumcri&w= sum(of &&icri&w);
   if imiscri&w<4  then ianycri&w=(sum(of &&icri&w)>0);
   if imiscri&w=0  then inumcri&w= sum(of &&icri&w);
                                             
   imiskr2&w=nmiss(of &&ikr2&w);
   if imiskr2&w=0  then inumkr2&w= sum(of &&ikr2&w);
   if imiskr2&w<4  then ianykr2&w=(sum(of &&ikr2&w)>0);
   if imiskr2&w=0  then inumkr2&w= sum(of &&ikr2&w);
                                             
   imismen&w=nmiss(of &&imen&w);
   if imismen&w=0  then inummen&w= sum(of &&imen&w);
   if imismen&w<3  then ianymen&w=(sum(of &&imen&w)>0);
   if imismen&w=0  then inummen&w= sum(of &&imen&w);
                                             
   imisacc&w=nmiss(of &&iacc&w);
   if imisacc&w=0  then inumacc&w= sum(of &&iacc&w);
   if imisacc&w<2  then ianyacc&w=(sum(of &&iacc&w)>0);
   if imisacc&w=0  then inumacc&w= sum(of &&iacc&w);
   
   label 
       inumdis&w="num new diseases w&w"
       inumear&w="num new severe conditions w&w"
       inumkrn&w="num new chronic conditions w&w"
       ianydis&w="any new diseases w&w"
       ianyear&w="any new severe dis w&w"
       ianyKrn&w="any new chron dis w&w"
      ;
   %end;

          
%mend;



data allwv;
    set allwv;
    %counting(1);
    %counting(2);
    %counting(3);
run;
